Vue-cli 3:“命令失败:npm install --lllvelvel error”

问题描述 投票:10回答:2

每次我尝试创建一个新项目(vue create my-project)时,我都会收到此错误:

错误:命令失败:npm install --lllvel错误

我在PC / Windows 10,Vue-cli 3.2.1,节点8.11.3,Npm 5.6.0。预设:Babel,ESLint和Prettier,SASS,Vue路由器,Vuex

从日志中:

2736傻saveTree` - vuex@3.0.1

2737 warn ajv-keywords@2.1.1需要ajv@^5.0.0的对等体,但没有安装。您必须自己安装对等依赖项。

2738详细堆栈错误:EINVAL:无效参数,读取

知道这意味着什么以及如何解决它?

编辑:我发现排除任何lint功能使问题消失。所以问题就变成了:我怎样才能使用linting并使其工作?

enter image description here

vue.js webpack vue-cli
2个回答
0
投票

我正在使用“vue-cli 3.0.0-rc.1”,我通过将〜/ .vuerc从“useTaobaoRegistry”设置为true来解决问题:true,为false。希望对你有所帮助!!


0
投票

我正在使用vue-cli 3.7.0-rc.1,我通过编辑从~/.vuerc"useTaobaoRegistry": falsetrue来解决问题。

希望这对你有用!

热门问题
推荐问题
最新问题